curl --request PUT \
--url https://api.example.com/api/v1/project/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"legalName": "<string>",
"description": "<string>",
"icon": "<string>",
"website": "<string>",
"coinGeckoId": "<string>",
"params": {},
"tags": [
"<string>"
],
"viewTenantIds": [
123
],
"type": "<string>",
"meta": {}
}
'import requests
url = "https://api.example.com/api/v1/project/{id}"
payload = {
"name": "<string>",
"legalName": "<string>",
"description": "<string>",
"icon": "<string>",
"website": "<string>",
"coinGeckoId": "<string>",
"params": {},
"tags": ["<string>"],
"viewTenantIds": [123],
"type": "<string>",
"meta": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
legalName: '<string>',
description: '<string>',
icon: '<string>',
website: '<string>',
coinGeckoId: '<string>',
params: {},
tags: ['<string>'],
viewTenantIds: [123],
type: '<string>',
meta: {}
})
};
fetch('https://api.example.com/api/v1/project/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"tenantId": 123,
"name": "<string>",
"legalName": "<string>",
"description": "<string>",
"icon": "<string>",
"website": "<string>",
"coinGeckoId": "<string>",
"params": {},
"tags": [
"<string>"
],
"viewTenantIds": [
123
],
"licenses": [
{
"license": {
"name": "<string>",
"version": "<string>",
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"icon": "<string>",
"scoreGroups": [
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"name": "<string>",
"title": "<string>",
"description": "<string>"
}
],
"params": "{ \"\"minScore\": 0, \"maxScore\": 1 }",
"groupScript": "<string>",
"scoreScript": "<string>"
},
"organisationId": 123,
"projectId": 123,
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"licenseInstanceMeta": [
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"licenseInstanceId": 123,
"startedAt": "2022-03-10T16:15:50Z",
"expiredAt": "2022-03-10T16:15:50Z"
}
]
}
],
"type": "<string>",
"meta": {}
}update entity by id
Authorizations
Authentication
Path Parameters
Body
Name for the entity
Tenant legal name
Description for the entity
Icon for the entity
Tenant website url
\s*|^https?.*Tenant network development or deployment status
TESTNET, MAINNET, NONE CoinGecko Id for this entity
Tenant dynamic params
Show child attributes
Show child attributes
Tags for the entity
Set of tenants that can view this project
Type of the entity. Up to 100 characters.
Meta info for the entity
Show child attributes
Show child attributes
Response
OK
Unique identifier of the entity
1
Time when entity was created
Time when entity was updated
ID of the tenant
Name for the entity
Tenant legal name
Description for the entity
Icon for the entity
Tenant website url
Tenant network development or deployment status
TESTNET, MAINNET, NONE CoinGecko Id for this entity
Tenant dynamic params
Show child attributes
Show child attributes
Tags for the entity
Set of tenants that can view this project
Tenant licenses associated with this tenant
Show child attributes
Show child attributes
Type of the entity. Up to 100 characters.
Meta info for the entity
Show child attributes
Show child attributes